﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="GridNestedInPanelBar.aspx.cs" Inherits="GridNestedInPanelBar" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server" ID="RadScriptManager1" />

        <div>

            <telerik:RadPanelBar ID="RadPanelBar1" runat="server" Width="100%">
                <Items>
                    <telerik:RadPanelItem runat="server" Text="Web Servers">
                        <ContentTemplate>
                            <telerik:RadGrid AutoGenerateColumns="false" ID="RadGrid1" DataSourceID="SqlDataSource1"
                                AllowFilteringByColumn="True" AllowSorting="True" Width="100%"
                                ShowFooter="True" AllowPaging="True" runat="server" AllowMultiRowSelection="true">
                                <GroupingSettings CaseSensitive="false"></GroupingSettings>
                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="True" ShowFooter="True">
                                    <Columns>
                                        <telerik:GridMaskedColumn DataField="OrderID" HeaderText="OrderID"
                                            FilterControlWidth="50px" AutoPostBackOnFilter="false" CurrentFilterFunction="EqualTo"
                                            FilterDelay="2000" ShowFilterIcon="false" Mask="#####">
                                        </telerik:GridMaskedColumn>
                                        <telerik:GridBoundColumn FilterControlWidth="120px" DataField="ShipName" HeaderText="ShipName"
                                            AutoPostBackOnFilter="true" CurrentFilterFunction="Contains"
                                            ShowFilterIcon="false">
                                        </telerik:GridBoundColumn>
                                        <telerik:GridDateTimeColumn DataField="OrderDate" HeaderText="OrderDate" FilterControlWidth="110px"
                                            SortExpression="OrderDate" PickerType="DatePicker" EnableTimeIndependentFiltering="true"
                                            DataFormatString="{0:MM/dd/yyyy}">
                                        </telerik:GridDateTimeColumn>
                                        <telerik:GridDateTimeColumn FilterControlWidth="95px" DataField="ShippedDate" HeaderText="ShippedDate"
                                            PickerType="DatePicker" EnableRangeFiltering="true">
                                            <HeaderStyle Width="160px"></HeaderStyle>
                                        </telerik:GridDateTimeColumn>
                                        <telerik:GridTemplateColumn FilterControlWidth="80px" DataField="ShipCountry" HeaderText="ShipCountry">
                                            <ItemTemplate>
                                                <img src='Img/<%# Eval("ShipCountry") %>.gif' alt="" style="vertical-align: middle; margin-right: 7px;" /><%# Eval("ShipCountry") %>
                                            </ItemTemplate>
                                        </telerik:GridTemplateColumn>
                                        <telerik:GridBoundColumn FilterControlWidth="50px" DataField="ShipPostalCode" HeaderText="ShipPostalCode">
                                            <FooterStyle Font-Bold="true"></FooterStyle>
                                        </telerik:GridBoundColumn>
                                        <telerik:GridNumericColumn HeaderStyle-Width="130px" FilterControlWidth="50px" DataField="Freight"
                                            DataType="System.Decimal" HeaderText="Freight" Aggregate="Sum" DataFormatString="{0} kg">
                                            <FooterStyle Font-Bold="true"></FooterStyle>
                                        </telerik:GridNumericColumn>
                                        <telerik:GridTemplateColumn UniqueName="CheckBoxTemplateColumn">
                                            <ItemTemplate>
                                                <asp:CheckBox ID="CheckBox1" runat="server" OnCheckedChanged="ToggleRowSelection" AutoPostBack="True" />
                                            </ItemTemplate>
                                        </telerik:GridTemplateColumn>
                                    </Columns>
                                </MasterTableView>
                            </telerik:RadGrid>
                        </ContentTemplate>
                    </telerik:RadPanelItem>
                </Items>
            </telerik:RadPanelBar>



            <asp:SqlDataSource ID="SqlDataSource1" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                ProviderName="System.Data.SqlClient" SelectCommand="SELECT * FROM Orders" runat="server"></asp:SqlDataSource>

        </div>
    </form>
</body>
</html>
